%define anolis_release 8
Summary: Modular Assembler
Name: yasm
Version: 1.3.0
Release: %{anolis_release}%{?dist}
# See COPYING for the detail, there is quite a lot!
License: BSD and (GPLv2+ or Artistic or LGPLv2+) and LGPLv2

URL: http://yasm.tortall.net/
Source: http://www.tortall.net/projects/yasm/releases/yasm-%{version}.tar.gz
Patch1: 0001-Update-elf-objfmt.c.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: bison
BuildRequires: byacc
BuildRequires: gettext-devel
BuildRequires: xmlto
Provides: bundled(md5-plumb)

%description
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License
(some portions are under other licenses, see COPYING for details). It is
designed from the ground up to allow for multiple assembler syntaxes to be
supported (eg, NASM, TASM, GAS, etc.) in addition to multiple output object
formats and even multiple instruction sets. Another primary module of the
overall design is an optimizer module.


%package devel
Summary: Header files and static libraries for the yasm Modular Assembler
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}
Provides: bundled(md5-plumb)

%description devel
Yasm is a complete rewrite of the NASM assembler under the "new" BSD License
(some portions are under other licenses, see COPYING for details). It is
designed from the ground up to allow for multiple assembler syntaxes to be
supported (eg, NASM, TASM, GAS, etc.) in addition to multiple output object
formats and even multiple instruction sets. Another primary module of the
overall design is an optimizer module.
Install this package if you need to rebuild applications that use yasm.


%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install


%files
%license Artistic.txt BSD.txt COPYING GNU_GPL-2.0 GNU_LGPL-2.0
%{_bindir}/vsyasm
%{_bindir}/yasm
%{_bindir}/ytasm
%{_mandir}/man1/yasm.1*

%files devel
%{_includedir}/libyasm/
%{_includedir}/libyasm-stdint.h
%{_includedir}/libyasm.h
%{_libdir}/libyasm.a
%{_mandir}/man7/yasm_*.7*

%changelog
* Tue Mar 7 2023 Funda Wang <fundawang@yeah.net> - 1.3.0-8
- Import package for anolis 23
